<?php
/**
*
* @package phpBB3
* @version $Id: avatar_update.php 139 2008-11-08 14:32:07Z lefty74 $
* @copyright (c) 2008 lefty74
* Thanks to  eviL3, got the trigger_error from him, otherwise this would have not been as pretty :P
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/

define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('avatar_update');

if ($user->data['user_id'] == ANONYMOUS)
{
	login_box("./avatar_update.$phpEx");
}

if ($user->data['user_type'] != USER_FOUNDER)
{
	redirect(append_sid("{$phpbb_root_path}index.$phpEx"));
}

	$sql = 'SELECT user_avatar, user_avatar_type, user_avatar_width, user_avatar_height, user_id
		FROM ' . USERS_TABLE . " 
		WHERE user_avatar != ''" ;

$result = $db->sql_query($sql);
while ($row = $db->sql_fetchrow($result))
{
			$sql = 'UPDATE ' . FORUMS_TABLE . "
				SET forum_last_poster_avatar = '" . $db->sql_escape($row['user_avatar']) . "', forum_last_poster_avatar_type = " . (int) $row['user_avatar_type'] . ', forum_last_poster_avatar_width = ' . (int)$row['user_avatar_width'] . ', forum_last_poster_avatar_height = ' . (int)$row['user_avatar_height'] . ' 
				WHERE forum_last_poster_id = ' . (int)$row['user_id'];
			$db->sql_query($sql);
			
		$sql = 'UPDATE ' . TOPICS_TABLE . "
				SET topic_last_poster_avatar = '" . $db->sql_escape($row['user_avatar']) . "', topic_last_poster_avatar_type = " . (int) $row['user_avatar_type'] . ', topic_last_poster_avatar_width = ' . (int) $row['user_avatar_width'] . ', topic_last_poster_avatar_height = ' . (int) $row['user_avatar_height'] . ' 
				WHERE topic_last_poster_id = ' . (int) $row['user_id'];
			$db->sql_query($sql);
			
		$sql = 'UPDATE ' . TOPICS_TABLE . "
				SET topic_first_poster_avatar = '" . $db->sql_escape($row['user_avatar']) . "', topic_first_poster_avatar_type = " . (int) $row['user_avatar_type'] . ', topic_first_poster_avatar_width = ' . (int) $row['user_avatar_width'] . ', topic_first_poster_avatar_height = ' . (int) $row['user_avatar_height'] . '
				WHERE topic_poster = ' . (int) $row['user_id'];
			$db->sql_query($sql);
			

}
$db->sql_freeresult($result);
$msg = $user->lang['AVATAR_SUCCESS'];
// Output
trigger_error($msg);
?>